Bug 1574490 - when NIC is down, started glusterd and bricks went to offline and NFS daemon came up on the node
Summary: when NIC is down, started glusterd and bricks went to offline and NFS daemon ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.4
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Sanju
QA Contact: Bala Konda Reddy M
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 12:21 UTC by Bala Konda Reddy M
Modified: 2019-10-24 05:57 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-22 15:07:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
Brick is offline (7.75 KB, image/png)
2018-05-03 12:21 UTC, Bala Konda Reddy M
no flags Details

Description Bala Konda Reddy M 2018-05-03 12:21:58 UTC
Created attachment 1430644 [details]
Brick is offline

Description of problem:
Bricks are in the offline state when glusterd is started when NIC is down

Version-Release number of selected component (if applicable):
3.12.2-8

How reproducible:
2/2

Steps to Reproduce:
1. Created and started a replica volume X3
2. Stop glusterd on node
3. Bring down the NIC( ifdown <interface>) where glusterd is stopped.
4. Start glusterd

Actual results:
glusterd is up and running, glusterfsd is NA and seen NFS daemon

Expected results:
glusterd, glusterfsd and glustershd should be running

Additional info:
Once the nic is up, brick on one node is offline where we brought down the NIC

gluster vol status
Status of volume: testvol
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick 10.70.37.193:/bricks/brick0/testvol   49155     0          Y       17871
Brick 10.70.37.163:/bricks/brick0/testvol   49155     0          Y       17797
Brick 10.70.37.67:/bricks/brick0/testvol    N/A       N/A        N       N/A  
Self-heal Daemon on localhost               N/A       N/A        Y       3270 
Self-heal Daemon on dhcp37-193.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       17979
Self-heal Daemon on dhcp37-163.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       17868
 
Task Status of Volume testvol
------------------------------------------------------------------------------
There are no active volume tasks

After reboot, all bricks are online

gluster vo status
Status of volume: testvol
Gluster process                             TCP Port  RDMA Port  Online  Pid
------------------------------------------------------------------------------
Brick 10.70.37.193:/bricks/brick0/testvol   49155     0          Y       17871
Brick 10.70.37.163:/bricks/brick0/testvol   49155     0          Y       17797
Brick 10.70.37.67:/bricks/brick0/testvol    49152     0          Y       2429 
Self-heal Daemon on localhost               N/A       N/A        Y       2420 
Self-heal Daemon on dhcp37-193.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       17979
Self-heal Daemon on dhcp37-163.lab.eng.blr.
redhat.com                                  N/A       N/A        Y       17868
 
Task Status of Volume testvol
------------------------------------------------------------------------------
There are no active volume tasks

Comment 14 Sanju 2019-02-13 07:17:15 UTC
Looks good to me


Note You need to log in before you can comment on or make changes to this bug.